<?php

namespace Comitium5\DesignerBundle\Model\Interfaces;

/**
 * Interface LocaleInterface
 *
 * @author Carles Gómez <carles@bab-soft.com>
 * @package Comitium5\DesignerBundle\Model\Interfaces
 */
interface LocaleInterface extends IdentifiableInterface
{
    /**
     * @return string
     */
    public function getCode();

    /**
     * @param $code
     * @return LocaleInterface
     */
    public function setCode($code);

    /**
     * @return string
     */
    public function getName();

    /**
     * @param $name
     * @return LocaleInterface
     */
    public function setName($name);
}
